    import {DomOverlayer} from 'mapbox-plugins/src/layers/domOverlay.js'

public class | source

# DomOverlayer

#### Extends:

Overlayer → DomOverlayer

initDomOverlayer

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | domContainer: * |
public | domOpts: * |
public | doms: *[] |
public | lastData: *[] |
public | redraw: * |

## Method Summary

Public Methods
public | clearDoms() |
public | findDom(domId: *): * |
public | setDoms(Doms: *) updateDoms and redraw.. |

Private Methods
private | _init(): * |

## Inherited Summary

From class Overlayer
public | map: * |
public | lnglat2pix(lng: *, lat: *): undefined[] use Global map or this.map instance to project |
public | setMap(map: *): * |
private | _init() to be overwrite in subClass |

## Public Constructors

### public constructor() source

#### Override:

Overlayer#constructor

## Public Members

### public domContainer: * source

### public domOpts: * source

### public doms: *[] source

### public lastData: *[] source

### public redraw: * source

## Public Methods

### public clearDoms() source

### public findDom(domId: *): * source

#### Params:

Name | Type | Attribute | Description
domId | * |  |

#### Return:

*

### public setDoms(Doms: *) source

updateDoms and redraw..

#### Params:

Name | Type | Attribute | Description
Doms | * |  |

## Private Methods

### private _init(): * source

to be overwrite in subClass

#### Override:

Overlayer#_init

#### Return:

*